﻿using System.ServiceModel;
using System.ServiceModel.Web;

namespace SPGSvcWp
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "ISPGRestItemService" in both code and config file together.
    [ServiceContract]
    public interface ISPGRestItemService
    {
        [OperationContract]
        [WebGet(UriTemplate = "/GetItem/{id}", BodyStyle = WebMessageBodyStyle.Bare, ResponseFormat = WebMessageFormat.Json)]
        PropertyInfo[] GetItem(string id);
    }

    public struct PropertyInfo
    {
        // these names are supert short because I want to make the json payload super tiny 
        // makes better demos!

        public string N;
        public string V;
        public string I;
    }
}

