﻿using System.ServiceModel;
using System.ServiceModel.Web;

namespace SPGSvcWp
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "ISPGRestService" in both code and config file together.
    [ServiceContract]
    public interface ISPGRestService
    {
        [OperationContract]
        [WebGet(UriTemplate = "/GetBlobs", BodyStyle = WebMessageBodyStyle.Bare, ResponseFormat = WebMessageFormat.Json)]
        MyBlob[] GetBlobs();

        /*
        [OperationContract]
        [WebInvoke(UriTemplate = "UpdateBlobComment/{id}", BodyStyle = WebMessageBodyStyle.WrappedRequest, ResponseFormat = WebMessageFormat.Json)]
        MyBlob? UpdateBlobComment(string id, string comment);
        */
    }

    public struct MyBlob
    {
        public string BlobName;
        public string BlobType;
    }
}

